#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,x;
    cin >> n; cin.ignore();
    cin >> x; cin.ignore();
    vector <int> a;
    int min1=x;
    int max1=x;
    for(int i=0;i<n;i++)
    {
        int h; cin >> h;cin.ignore();
        a.push_back(h);
        (h>x) ? max1=max(max1,h) : min1=min(min1,h);
    }
    //cout << max1;
    //cout <<" "<< min1<<" ";
    if(max1==x) {cout << x-min1;return 0;}
    if(min1==x) {cout << max1-x;return 0;}
    min1=abs(min1-x);
    max1=abs(max1-x);
    (min1>max1) ? cout << min1+2*max1 : cout << max1+2*min1;
    return 0;
}